Проникающая гидроизоляция бетона
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > .NET > Как создать Curve3d? (.NET C# AutoCAD 2010 и/или BricsCAD 14)

Как создать Curve3d? (.NET C# AutoCAD 2010 и/или BricsCAD 14)

Ответ
Поиск в этой теме
Непрочитано 27.03.2014, 23:56 #1
Как создать Curve3d? (.NET C# AutoCAD 2010 и/или BricsCAD 14)
лузер
 
Изучение .NET ACAD2010/BRICS14
 
Москва
Регистрация: 26.01.2014
Сообщений: 30

Хочу освоить работу в .NET с кривыми - отрезки, дуги, полилинии, сплайны с помощью операций - вызов точки по параметру, параметра по длине, точки по длине и т.п. (аналоги функций в Автолиспе vlax-curve-getPointAtParam, vlax-curve-getParamAtDist, vlax-curve-getPointAtDist, может я и напутал, но как-то так они называются).
В Автолиспе было все просто, эти функции вызывались к любому объекту, а здесь, в .NET, каждый примитив имеет свой тип (класс) и все строго типизировано.
В пространстве имен Geometry есть класс Curve3d, по ощущениям это то что мне и нужно. Но вот не понимаю, как в объект Curve3d впихнуть нужный мне отрезок или сплайн? Там делается какая-та шняга IntPtr, тоже с непонятными аргументами, я попытался сделать вот такое, возможно это бред конечно:
var v1 = 0;
IntPtr i1 = new IntPtr(v1);
Curve3d c1 = Curve3d.Create(i1, false);
При запуске получается ошибка. Подскажите как правильно решить задачу, ну или хотя бы в каком направлении двигаться
Просмотров: 2183
 
Непрочитано 28.03.2014, 01:15
#2
Дима_

Продуман
 
Регистрация: 22.02.2007
Питер
Сообщений: 2,843


Цитата:
Сообщение от лузер Посмотреть сообщение
отрезки, дуги, полилинии, сплайны
Все они наследуют класс Curve - где и есть все интересующие тебя методы.
Offtop: з.ы. учи основы ооп
__________________
Когда в руках молоток все вокруг кажется гвоздями.
Дима_ вне форума  
 
Непрочитано 28.03.2014, 01:19
#3
Александр Ривилис

программист, рыцарь ObjectARX
 
Регистрация: 09.05.2005
Киев
Сообщений: 2,275
Отправить сообщение для Александр Ривилис с помощью Skype™


Curve3d - это геометрия, а Curve - это примитив. Почувствуй разницу.
Цитата:
Сообщение от лузер Посмотреть сообщение
возможно это бред конечно:
Конечно.
Александр Ривилис вне форума  
 
Непрочитано 28.03.2014, 11:59
#4
Do$

AutoCAD/Civil3D LISP/C#
 
Регистрация: 15.08.2008
Санкт-Петербург
Сообщений: 1,683
Отправить сообщение для Do$ с помощью Skype™


Цитата:
Сообщение от лузер Посмотреть сообщение
аналоги функций в Автолиспе vlax-curve-getPointAtParam, vlax-curve-getParamAtDist, vlax-curve-getPointAtDist
В справке:
https://chronicle.autodesk.com/main/...6-1a6ecaa8ee1b
Пример в коде:
http://spiderinnet1.typepad.com/blog...eratpoint.html
http://through-the-interface.typepad...using-net.html
__________________
Толковый выбор приходит с опытом, а к нему приводит выбор бестолковый. (The Mechanic)
Do$ вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > .NET > Как создать Curve3d? (.NET C# AutoCAD 2010 и/или BricsCAD 14)

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Видеоуроки AutoCAD kosmax AutoCAD 173 17.02.2017 15:08
AUTOCAD 2010 перестал переключаться в многооконный режим. Проблемы с переменными Андрей Х. AutoCAD 24 27.05.2015 10:17
Как создать ситуационный план по трассе в AutoCAD Civil 3D 2010 Niman Вертикальные решения на базе AutoCAD 19 25.06.2013 14:56
Информация по идентификационным кодам программ в сетевых лицензиях Autodesk KSI AutoCAD 1 14.09.2009 15:59
AutoCAD Architecture 2010: Как создать угловое окно? Rizonner Вертикальные решения на базе AutoCAD 8 18.07.2009 19:23